package frequentis;

public enum ConfigType {
    SYSTEM {
        public ConfigScope create(JsonObject root) {
            return new SystemConfigScope();
        }
    },
    ROLE {
        public ConfigScope create(JsonObject root) {
            return new RoleConfigScope(root);
        }
    };

    private ConfigType() {
    }

    public abstract ConfigScope create(JsonObject var1);
}