package frequentis;

import com.gigaspaces.annotation.pojo.SpaceId;
import com.gigaspaces.annotation.pojo.SpaceRouting;

import java.io.Serializable;

public class ClientConfigBlockItem implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    private ConfigType configType;

    @SpaceId(autoGenerate = false)
    @SpaceRouting
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public ConfigType getConfigType() {
        return configType;
    }

    public void setConfigType(ConfigType configType) {
        this.configType = configType;
    }

    public String toString(){
        StringBuffer sb = new StringBuffer();
        sb.append("id = " + id + " configType = " + configType.toString());

        return sb.toString();
    }
}